Subject: The imx6q suspend/resume is broken on 3.16-rc due to PCIe

From: [email-masked] (Shawn Guo)
Date: Mon, 21 Jul 2014 11:19:38 +0800

On Sun, Jul 20, 2014 at 11:55:42PM -0300, Fabio Estevam wrote:
> On Sun, Jul 20, 2014 at 11:50 PM, Shawn Guo <[email-masked]> wrote:
> > On Fri, Jul 18, 2014 at 11:21:48AM +0200, Lucas Stach wrote:
> >> However I seem to have a board with rev 1.1 silicon and although the pci
> >> driver starts up it never establishes a link. So my board may just work
> >> by chance as I don't really know the differences between rev 1.1 silicon
> >> and later revisions.
> >
> > Lucas, thanks for the info.
> >
> > I just checked my board on which the issue is seen, and found it has a
> > rev 1.3 silicon.  I just tested on a board with rev 1.2 and did not even
> > see the issue.
> >
> > Richard,
> >
> > Is this an issue only with rev 1.3?
> 
> I could see this issue on my board with rev 1.2.

Hmm, that's strange.  I tested two imx6q-sabresd boards with rev 1.2
silicon, and did not see this issue.  Hopefully, someone else can also
test.

Shawn